# Module `expcore.gui.text`

Gui class define for text fields and text boxs [[

## Functions

Text.new_text_field ([name]) | Creates a new text field element define
Text.new_text_box ([name]) | Creates a new text box element define
Text._prototype_box:set_selectable ([state=true]) | Sets the text box to be selectable
Text._prototype_box:set_word_wrap ([state=true]) | Sets the text box to have word wrap
Text._prototype_box:set_read_only ([state=true]) | Sets the text box to be read only

## Functions

Text.new_text_field ([name])
  Creates a new text field element define

  ### Parameters:

  - name string the optional debug name that can be added (optional)

  ### Returns:

  table the new text field element define
Text.new_text_box ([name])
  Creates a new text box element define

  ### Parameters:

  - name string the optional debug name that can be added (optional)

  ### Returns:

  table the new text box element define
Text._prototype_box:set_selectable ([state=true])
  Sets the text box to be selectable

  ### Parameters:

  - state boolean when false will set the state to false (default true)

  ### Returns:

  self table the define to allow for chaining
Text._prototype_box:set_word_wrap ([state=true])
  Sets the text box to have word wrap

  ### Parameters:

  - state boolean when false will set the state to false (default true)

  ### Returns:

  self table the define to allow for chaining
Text._prototype_box:set_read_only ([state=true])
  Sets the text box to be read only

  ### Parameters:

  - state boolean when false will set the state to false (default true)

  ### Returns:

  self table the define to allow for chaining

generated by LDoc 1.4.3 Last updated 2019-05-29 22:30:49